/*
 * adau1361.h
 *
 * Copyright(C) 2014 Shinya Kaneko
 *
 * Last Update: 2015/06/13
 *
 * []
 * ̃\tgEFA̓t[\tgEFAłBǂȂłRɉςĎgp邱Ƃł܂B
 * ̃\tgEFA͖ۏ؂łB̃\tgEFA̎gpɋNA[U܂͑O҂
 * QɊւA؂̐ӔC𕉂܂B
 *
 * [NOTE]
 * This program is free software, you can redistribute it and/or modify it.
 * There is no warranty for this free software.
 *
 */
#ifndef _ADAU1361_
#define _ADAU1361_

/* 1`l1̃TvTCY */
#define NUM_SAMPLES             (128)
/* `l(XeI) */
#define NUM_CHANNEL             (2)

/* TvO[g */
#if SR == 96000
#   define SAMPLING_RATE       (96000)
#else
#   define SAMPLING_RATE       (48000)
#endif

extern void adau1361_init(void);
extern int32_t adau1361_data_check(void);
extern void adau1361_enable(void);
extern void codec_audio_process(const int32_t* p_rxbuf[2], int32_t* p_txbuf[2]);

#endif /* _ADAU1361_ */
