/*
 * main.c
 *
 * Copyright(C) 2014 Shinya Kaneko
 *
 * Last Update: 2014/09/10
 *
 * []
 * ̃\tgEFA̓t[\tgEFABǂȂłRɉςĎgp邱Ƃł܂B
 * ̃\tgEFA͖ۏ؂łB̃\tgEFA̎gpɋNA[U܂͑O҂
 * QɊւA؂̐ӔC𕉂܂B
 *
 * [NOTE]
 * This program is free software, you can redistribute it and/or modify it.
 * There is no warranty for this free software.
 *
 */
#include <ifx-49.h>

int main( void )
{
    /* {[h */
    ifx49_init();

    /* ADAU1361TvOJn */
    adau1361_enable();
    while(1)
    {
        idle();
        adau1361_data_check();
    }

    return 0;
}

extern void codec_audio_process(const int32_t* p_rx_buf[2], int32_t* p_txbuf[2])
{
    int32_t l_lc;

    for(l_lc = 0; l_lc < NUM_SAMPLES; l_lc++)
    {
        p_txbuf[0][l_lc] = p_rx_buf[0][l_lc];
        p_txbuf[1][l_lc] = p_rx_buf[1][l_lc];
    }
}

